Bug 1626 - [UPDATE REQUEST] fontconfig (restricted version)
: [UPDATE REQUEST] fontconfig (restricted version)
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 17:06 MSK by Arkady L. Shane
Modified: 2013-02-15 12:19 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
oldfontconfig.png (64.68 KB, image/png)
2013-02-12 19:38 MSK, Arkady L. Shane
Details
newfontconfig.png (60.96 KB, image/png)
2013-02-12 19:38 MSK, Arkady L. Shane
Details
my_newconfig (208.75 KB, image/png)
2013-02-13 08:42 MSK, Vladimir Potapov
Details
my_oldconfig (202.60 KB, image/png)
2013-02-13 08:42 MSK, Vladimir Potapov
Details
old_vs_new (26.18 KB, image/png)
2013-02-13 12:13 MSK, Denis Koryavov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arkady L. Shane 2013-02-08 17:06:59 MSK
Advisory:
Restricted version of fontconfig with Ubuntu LCD patches. We want add it to restricted repository as optional version of fontconfig.

Visually it makes fonts 'bold and clear'.

Buildlist:
https://abf.rosalinux.ru/build_lists/942920
https://abf.rosalinux.ru/build_lists/942921
Comment 1 Vladimir Potapov 2013-02-12 09:47:43 MSK
I don't see a difference after installation.
Is it possible to add screenshots of the font before and after the upgrade?
Comment 2 Denis Koryavov 2013-02-12 11:19:11 MSK
> Visually it makes fonts 'bold and clear'.

You will see this by the naked eye.
Comment 3 Arkady L. Shane 2013-02-12 12:38:52 MSK
After installation you should relogin.
Comment 4 Vladimir Potapov 2013-02-12 15:20:26 MSK
Hm. Perhaps it depends on the display, but I don't see any change. Still, please make a screenshot.
Comment 5 Arkady L. Shane 2013-02-12 19:38:27 MSK
Created attachment 1186 [details]
oldfontconfig.png
Comment 6 Arkady L. Shane 2013-02-12 19:38:55 MSK
Created attachment 1187 [details]
newfontconfig.png
Comment 7 Vladimir Potapov 2013-02-13 08:42:13 MSK
Created attachment 1188 [details]
my_newconfig
Comment 8 Vladimir Potapov 2013-02-13 08:42:40 MSK
Created attachment 1189 [details]
my_oldconfig
Comment 9 Vladimir Potapov 2013-02-13 08:45:02 MSK
I found only a small difference in the distance between the letters of the title. This is a mistake build packages or features of my display?
(test on i586 system)
Comment 10 Denis Koryavov 2013-02-13 12:13:22 MSK
Created attachment 1192 [details]
old_vs_new

Vladimir, here is the "vs" from your screens. As you can see, fonts on the left side thinner than on the right side.
Comment 11 Vladimir Potapov 2013-02-13 14:02:39 MSK
fontconfig-2.10.2-1plf-plf2012.1
**************** Advisory *****************
Restricted version of fontconfig with Ubuntu LCD patches. We want add it to restricted repository as optional version of fontconfig.
Visually it makes fonts 'bold and clear'.
*******************************************
QA Verified